Create Trade
POST
https://bank.dattaremit.com/api/tradesRequires a bank-scoped key.
Creates a trade.
## State
| State | Description |
|---|---|
| storing | The Platform is storing the trade details in our private store |
| pending | The Platform has stored the trade details and is processing it |
| executed | The Platform has processed the trade and needs to settle it |
| settling | The Platform has executed the trade and is settling the funds |
| cancelled | The Platform has cancelled the trade |
| completed | The Platform has successfully completed the trade |
| failed | The Platform was not able to successfully complete the trade |
## Failure codes
| Code | Description |
|---|---|
| non_sufficient_funds | The delivery account does not have enough funds to complete the trade |
| unsupported | The trading pair is not supported for this customer |
| limit_exceeded | The customer is over the limits that have been set for them for this activity |
| daily_limit_exceeded | The customer is over their daily limits for this activity |
| weekly_limit_exceeded | The customer is over their weekly limits for this activity |
| monthly_limit_exceeded | The customer is over their monthly limits for this activity |
| expired_quote | The quote expired before it could be executed |
| market_volatility | The quote could not be executed due to market volatility |
| not_filled | The trade could not be filled based on the amounts specified |
Required scope: trades:execute
Body Params
requiredtrade_typeplatformThe type of trade.
quote_guidstringrequiredThe associated quote's identifier.
fiat_account_guidstringThe identifier for the fiat account to use for the trade. Required if the customer or bank has multiple fiat accounts.
expected_errorexpired_quote | non_sufficient_fundsThe optional expected error to simulate trade failure.
labelsstring[]The labels associated with the trade.
Responses
201Trade created
400Bad Request
401Unauthorized - Authentication failed
403Invalid scope
409Conflict
422Unprocessable Content
Request
curl https://api.dattaremit.com/api/trades \
-X POST \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"quote_guid": "string",
"trade_type": "platform",
"fiat_account_guid": "string",
"expected_error": "expired_quote",
"labels": [
"string"
]
}'Response
Trade created
{
"guid": "string",
"trade_type": "string",
"customer_guid": "string",
"quote_guid": "string",
"symbol": "string",
"side": "string",
"state": "string",
"failure_code": "string",
"receive_amount": 1,
"deliver_amount": 1,
"fee": 1,
"fee_details": [
{
"type": "bank",
"asset": "string",
"amount": 1
}
],
"reference_trade_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"labels": [
"string"
]
}